For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Contact object
          • GET/contacts
          • POST/contacts
          • GET/contacts/{id}
          • PATCH/contacts/{id}
          • GET/contacts/meta/patch/{id}
          • GET/contacts/meta/post
          • GET/contacts/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContacts

/contacts

GET
/accounting/v1/contacts
GET
/api/accounting/v1/contacts
$curl -G https://api.merge.dev/api/accounting/v1/contacts \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d company_id=company_id \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=addresses,phone_numbers,company \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "c640b80b-fac9-409f-aa19-1f9221aec445",
7 "remote_id": "11167",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "name": "Gil Feig's pickleball store",
11 "is_supplier": true,
12 "is_customer": true,
13 "email_address": "pickleball@merge.dev",
14 "tax_number": "12-3456789",
15 "status": "ACTIVE",
16 "currency": "USD",
17 "remote_updated_at": "2020-03-31T00:00:00Z",
18 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
19 "addresses": [
20 {},
21 {}
22 ],
23 "phone_numbers": [
24 {
25 "number": "+3198675309",
26 "type": "Mobile"
27 }
28 ],
29 "remote_was_deleted": true,
30 "field_mappings": {
31 "organization_defined_targets": {
32 "custom_key": "custom_value"
33 },
34 "linked_account_defined_targets": {
35 "custom_key": "custom_value"
36 }
37 },
38 "remote_data": [
39 {
40 "path": "/actions",
41 "data": null
42 }
43 ],
44 "remote_fields": [
45 {
46 "remote_field_class": {
47 "id": "string",
48 "display_name": "string",
49 "remote_key_name": "string",
50 "description": "string",
51 "is_custom": true,
52 "is_common_model_field": true,
53 "is_required": true,
54 "field_type": "string",
55 "field_format": "string",
56 "field_choices": [
57 "string"
58 ],
59 "item_schema": {
60 "item_type": "string",
61 "item_format": "string",
62 "item_choices": [
63 "string"
64 ]
65 }
66 },
67 "value": "string"
68 }
69 ]
70 }
71 ]
72}

Returns a list of Contact objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The Contact object

Next

/contacts

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

company_idstringOptional
If provided, will only return contacts for this company.
created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
email_addressstringOptional
If provided, will only return Contacts that match this email.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

is_customerstringOptional
If provided, will only return Contacts that are denoted as customers.
is_supplierstringOptional
If provided, will only return Contacts that are denoted as suppliers.
modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
namestringOptional
If provided, will only return Contacts that match this name.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
remote_idstringOptional
The API provider's ID for the given object.
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:
statusenumOptional
If provided, will only return Contacts that match this status.
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more